Debian Bug report logs - #612675
libkio5: KTar class have broken UTF-8 support (longlink)

version graph

Package: libkio5; Maintainer for libkio5 is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for libkio5 is src:kde4libs.

Reported by: Rinat <ibragimovrinat@mail.ru>

Date: Wed, 9 Feb 2011 22:18:02 UTC

Owned by: Modestas Vainius <modax@debian.org>

Severity: grave

Tags: confirmed, patch

Found in version 4:4.4.5-3.1

Fixed in version kde4libs/4:4.4.5-2+squeeze2

Done: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.kde.org/show_bug.cgi?id=266141

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ibragimovrinat@mail.ru, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#612675; Package libkio5. (Wed, 09 Feb 2011 22:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rinat <ibragimovrinat@mail.ru>:
New Bug report received and forwarded. Copy sent to ibragimovrinat@mail.ru, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 09 Feb 2011 22:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rinat <ibragimovrinat@mail.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libkio5: KTar class have broken UTF-8 support (longlink)
Date: Thu, 10 Feb 2011 01:16:22 +0300
Package: libkio5
Version: 4:4.4.5-3.1
Severity: grave
Tags: patch
Justification: causes non-serious data loss

I tried to create tar by KBackup program and found
truncated names of my files in .tar. KBackup uses
KTar class for writing tar files and that class
have broken UTF-8 support, it seems.

First, tar archives have to use "longlink trick" to 
store names longer than 100 bytes. KTar class has 
functions implementing longlink, but they check name 
length in _characters_, not in bytes. For non-ASCII 
characters in UTF-8 length of string in bytes and 
length in characters do not match. In my case file 
had character-length less than 100 and byte-length 
greater than 100, so name simply truncated. Such 
behavior can be observed on non-ASCII UTF-8 or any 
other multibyte encoding. If file name is very long,
resulting .tar may become unreadable.

Second, calculation of 'chksum' field of tar header also
broken: 'buffer' array defined as char, a signed number,
while in tar sources chksum obtained as sum of unsigned
values (actually there is the trick for (unsigned char)
emulate, converting to integer and then logical and with
0xFF). May be bad checksum was reason for unreadable .tar.

In the following patch you'll find a fix for this bug.

diff -ru kde4libs-4.4.5.orig/kio/kio/ktar.cpp kde4libs-4.4.5/kio/kio/ktar.cpp
--- kde4libs-4.4.5.orig/kio/kio/ktar.cpp	2010-02-26 21:30:10.000000000 +0300
+++ kde4libs-4.4.5/kio/kio/ktar.cpp	2011-02-09 17:43:33.084041001 +0300
@@ -661,7 +661,7 @@
   // Header check sum
   int check = 32;
   for( uint j = 0; j < 0x200; ++j )
-    check += buffer[j];
+    check += (unsigned char)buffer[j];
   s = QByteArray::number( check, 8 ); // octal
   s = s.rightJustified( 6, '0' );
   memcpy( buffer + 0x94, s.constData(), 6 );
@@ -733,7 +733,7 @@
     const QByteArray gname = group.toLocal8Bit();
 
     // If more than 100 chars, we need to use the LongLink trick
-    if ( fileName.length() > 99 )
+    if ( encodedFileName.length() > 99 )
         d->writeLonglink(buffer,encodedFileName,'L',uname,gname);
 
     // Write (potentially truncated) name
@@ -786,7 +786,7 @@
     QByteArray gname = group.toLocal8Bit();
 
     // If more than 100 chars, we need to use the LongLink trick
-    if ( dirName.length() > 99 )
+    if ( encodedDirname.length() > 99 )
         d->writeLonglink(buffer,encodedDirname,'L',uname,gname);
 
     // Write (potentially truncated) name
@@ -838,9 +838,9 @@
     QByteArray gname = group.toLocal8Bit();
 
     // If more than 100 chars, we need to use the LongLink trick
-    if (target.length() > 99)
+    if (encodedTarget.length() > 99)
         d->writeLonglink(buffer,encodedTarget,'K',uname,gname);
-    if ( fileName.length() > 99 )
+    if ( encodedFileName.length() > 99 )
         d->writeLonglink(buffer,encodedFileName,'L',uname,gname);
 
     // Write (potentially truncated) name





-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.37-rc5 (SMP w/2 CPU cores)
Locale: LANG=ru_RU.utf8, LC_CTYPE=ru_RU.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libkio5 depends on:
ii  libacl1                 2.2.49-4         Access control list shared library
ii  libattr1                1:2.4.44-2       Extended attribute shared library
ii  libc6                   2.11.2-10        Embedded GNU C Library: Shared lib
ii  libgamin0 [libfam0]     0.1.10-2+b1      Client library for the gamin file 
ii  libgcc1                 1:4.4.5-8        GCC support library
ii  libkdecore5             4:4.4.5-3.1      the KDE Platform Core Library
ii  libkdeui5               4:4.4.5-3.1      the KDE Platform User Interface Li
ii  libqt4-dbus             4:4.6.3-4        Qt 4 D-Bus module
ii  libqt4-network          4:4.6.3-4        Qt 4 network module
ii  libqt4-svg              4:4.6.3-4        Qt 4 SVG module
ii  libqt4-xml              4:4.6.3-4        Qt 4 XML module
ii  libqtcore4              4:4.6.3-4        Qt 4 core module
ii  libqtgui4               4:4.6.3-4        Qt 4 GUI module
ii  libsolid4               4:4.4.5-3.1      Solid Library for KDE Platform
ii  libstdc++6              4.4.5-8          The GNU Standard C++ Library v3
ii  libstreamanalyzer0      0.7.2-1+b1       streamanalyzer library for Strigi 
ii  libx11-6                2:1.3.3-4        X11 client-side library
ii  libxrender1             1:0.9.6-1        X Rendering Extension client libra
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages libkio5 recommends:
ii  kdelibs5-plugins             4:4.4.5-3.1 core plugins for KDE Applications

libkio5 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#612675; Package libkio5. (Wed, 04 May 2011 07:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 04 May 2011 07:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 612675@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Rinat <ibragimovrinat@mail.ru>, 612675@bugs.debian.org
Subject: Re: Bug#612675: libkio5: KTar class have broken UTF-8 support (longlink)
Date: Wed, 4 May 2011 09:12:00 +0200
	Hi!

 First of all, sorry for late response. The bug got overlooked in the
aftermath of the squeeze release, people were quite busy here.

* Rinat <ibragimovrinat@mail.ru> [2011-02-09 23:16:22 CET]:
> First, tar archives have to use "longlink trick" to 
> store names longer than 100 bytes. KTar class has 
> functions implementing longlink, but they check name 
> length in _characters_, not in bytes. For non-ASCII 
> characters in UTF-8 length of string in bytes and 
> length in characters do not match. In my case file 
> had character-length less than 100 and byte-length 
> greater than 100, so name simply truncated. Such 
> behavior can be observed on non-ASCII UTF-8 or any 
> other multibyte encoding. If file name is very long,
> resulting .tar may become unreadable.

 Thanks for digging that up, from reading the diff it's clear that this
is a mistake and should get addressed.

> Second, calculation of 'chksum' field of tar header also
> broken: 'buffer' array defined as char, a signed number,
> while in tar sources chksum obtained as sum of unsigned
> values (actually there is the trick for (unsigned char)
> emulate, converting to integer and then logical and with
> 0xFF). May be bad checksum was reason for unreadable .tar.

 This though is not totally clear to me. On the major architectures,
char is signed, so I would assume that a chksum error in this area
should have hit a lot of people already? Given that int is signed by
default I wonder if this is the proper approach and it shouldn't rather
be cast to signed char (signedness of char varies across the different
architectures).

 Out of curiosity, you filed this from an i386 system. Did you maybe
copy around the backup from/to any architcture including arm, armel,
powerpc or s390? Were they somehow involved in the assumingly checksum
error of yours? The thing behind the question is: If we "fix" the
calculation in the direction that you propose, this would break backups
done now on the architectures that do have char signed by default
because it would result in a different checksum.

 Or do I have any mistake in my thinking here?

 Thanks,
Rhonda
-- 
Fühlst du dich mutlos, fass endlich Mut, los      |
Fühlst du dich hilflos, geh raus und hilf, los    | Wir sind Helden
Fühlst du dich machtlos, geh raus und mach, los   | 23.55: Alles auf Anfang
Fühlst du dich haltlos, such Halt und lass los    |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#612675; Package libkio5. (Wed, 04 May 2011 08:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ibragimov Rinat <ibragimovrinat@mail.ru>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 04 May 2011 08:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 612675@bugs.debian.org (full text, mbox):

From: Ibragimov Rinat <ibragimovrinat@mail.ru>
To: Gerfried Fuchs <rhonda@deb.at>
Cc: 612675@bugs.debian.org
Subject: Re: Bug#612675: libkio5: KTar class have broken UTF-8 support(longlink)
Date: Wed, 04 May 2011 12:40:43 +0400
> This though is not totally clear to me. On the major architectures,
> char is signed, so I would assume that a chksum error in this area
> should have hit a lot of people already? Given that int is signed by
> default I wonder if this is the proper approach and it shouldn't rather
> be cast to signed char (signedness of char varies across the different
> architectures).

The error only occurs when file name have characters with codes larger than
128. All ASCII have codes lower than 127, so in that case there is no
difference. UTF-8 uses most significant bit as flag, so some charactes have
codes larger than 128. I'll explain with example:

int check = 32;
check += buffer[j];

assume buffer[0]==128, i.e. 0x80. When one adds signed char 0x80 to an
integer, signed char extents to a signed integer and becomes 0xffffff80.
It is not 0x80, as one may expect.

But if all file names are in english, no one can face the bug.

> Out of curiosity, you filed this from an i386 system. Did you maybe
> copy around the backup from/to any architcture including arm, armel,
> powerpc or s390? Were they somehow involved in the assumingly checksum
> error of yours? The thing behind the question is: If we "fix" the
> calculation in the direction that you propose, this would break backups
> done now on the architectures that do have char signed by default
> because it would result in a different checksum.

No, unfortunately I don't have access to architectures other than amd64 and i386.

BTW, I filed bug to upstream: https://bugs.kde.org/show_bug.cgi?id=266141


Set Bug forwarded-to-address to 'https://bugs.kde.org/show_bug.cgi?id=266141'. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Wed, 04 May 2011 09:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#612675; Package libkio5. (Sun, 08 May 2011 22:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 08 May 2011 22:30:03 GMT) Full text and rfc822 format available.

Message #22 received at 612675@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Ibragimov Rinat <ibragimovrinat@mail.ru>, 612675@bugs.debian.org
Cc: Gerfried Fuchs <rhonda@deb.at>
Subject: Re: Bug#612675: libkio5: KTar class have broken UTF-8 support(longlink)
Date: Mon, 9 May 2011 01:27:28 +0300
[Message part 1 (text/plain, inline)]
Hello,

On trečiadienis 04 Gegužė 2011 11:40:43 Ibragimov Rinat wrote:
> > This though is not totally clear to me. On the major architectures,
> > char is signed, so I would assume that a chksum error in this area
> > should have hit a lot of people already? Given that int is signed by
> > default I wonder if this is the proper approach and it shouldn't rather
> > be cast to signed char (signedness of char varies across the different
> > architectures).
> 
> The error only occurs when file name have characters with codes larger than
> 128. All ASCII have codes lower than 127, so in that case there is no
> difference. UTF-8 uses most significant bit as flag, so some charactes have
> codes larger than 128. I'll explain with example:
> 
> int check = 32;
> check += buffer[j];
> 
> assume buffer[0]==128, i.e. 0x80. When one adds signed char 0x80 to an
> integer, signed char extents to a signed integer and becomes 0xffffff80.
> It is not 0x80, as one may expect.
> 
> But if all file names are in english, no one can face the bug.
> 
> > Out of curiosity, you filed this from an i386 system. Did you maybe
> > copy around the backup from/to any architcture including arm, armel,
> > powerpc or s390? Were they somehow involved in the assumingly checksum
> > error of yours? The thing behind the question is: If we "fix" the
> > calculation in the direction that you propose, this would break backups
> > done now on the architectures that do have char signed by default
> > because it would result in a different checksum.
> 
> No, unfortunately I don't have access to architectures other than amd64 and
> i386.

What I'm concerned about is that your patch may not be complete. There are 
more similar "checks" in ktar.cpp. As I absolutely have no idea how tar works, 
this will take time to handle properly (or hopefully upstream responds in the 
meantime). Thanks for forwarding the bug.

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#612675; Package libkio5. (Mon, 09 May 2011 08:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ibragimov Rinat <ibragimovrinat@mail.ru>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 09 May 2011 08:21:07 GMT) Full text and rfc822 format available.

Message #27 received at 612675@bugs.debian.org (full text, mbox):

From: Ibragimov Rinat <ibragimovrinat@mail.ru>
To: Modestas Vainius <modax@debian.org>
Cc: 612675@bugs.debian.org, Gerfried Fuchs <rhonda@deb.at>
Subject: Re: Bug#612675: libkio5: KTar class have broken UTF-8 support(longlink)
Date: Mon, 09 May 2011 12:19:23 +0400
> What I'm concerned about is that your patch may not be complete. There are 
> more similar "checks" in ktar.cpp. As I absolutely have no idea how tar works,
> this will take time to handle properly (or hopefully upstream responds in the 
> meantime). Thanks for forwarding the bug.

Can you point to some of those checks? I've looked through the code again and
found nothing related to QString. There are only some of them related to QByteArray.


Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#612675; Package libkio5. (Mon, 09 May 2011 09:57:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 09 May 2011 09:57:59 GMT) Full text and rfc822 format available.

Message #32 received at 612675@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Ibragimov Rinat <ibragimovrinat@mail.ru>, 612675@bugs.debian.org
Cc: Gerfried Fuchs <rhonda@deb.at>
Subject: Re: Bug#612675: libkio5: KTar class have broken UTF-8 support(longlink)
Date: Mon, 9 May 2011 12:51:43 +0300
[Message part 1 (text/plain, inline)]
Hello,

On pirmadienis 09 Gegužė 2011 11:19:23 Ibragimov Rinat wrote:
> > What I'm concerned about is that your patch may not be complete. There
> > are more similar "checks" in ktar.cpp. As I absolutely have no idea how
> > tar works, this will take time to handle properly (or hopefully upstream
> > responds in the meantime). Thanks for forwarding the bug.
> 
> Can you point to some of those checks? I've looked through the code again
> and found nothing related to QString. There are only some of them related
> to QByteArray.

But why do you think QByteArray checks are not affected?

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#612675; Package libkio5. (Mon, 09 May 2011 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ibragimov Rinat <ibragimovrinat@mail.ru>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 09 May 2011 10:27:06 GMT) Full text and rfc822 format available.

Message #37 received at 612675@bugs.debian.org (full text, mbox):

From: Ibragimov Rinat <ibragimovrinat@mail.ru>
To: Modestas Vainius <modax@debian.org>
Cc: 612675@bugs.debian.org, Gerfried Fuchs <rhonda@deb.at>
Subject: Re[2]: Bug#612675: libkio5: KTar class have broken UTF-8 support(longlink)
Date: Mon, 09 May 2011 14:24:51 +0400
> > Can you point to some of those checks? I've looked through the code again
> > and found nothing related to QString. There are only some of them related
> > to QByteArray.
> 
> But why do you think QByteArray checks are not affected?

Because QByteArray is intended to store raw bytes [1], while QString stores
charactes which may be wider than 8-bit. Current implementation uses 16-bit
QChars [2].

[1] http://doc.qt.nokia.com/4.6/qbytearray.html#details
[2] http://doc.qt.nokia.com/4.6/qstring.html#details

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#612675; Package libkio5. (Fri, 13 May 2011 23:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 13 May 2011 23:36:05 GMT) Full text and rfc822 format available.

Message #42 received at 612675@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Ibragimov Rinat <ibragimovrinat@mail.ru>, 612675@bugs.debian.org
Cc: Gerfried Fuchs <rhonda@deb.at>
Subject: Re: Bug#612675: Re[2]: Bug#612675: libkio5: KTar class have broken UTF-8 support(longlink)
Date: Sat, 14 May 2011 02:33:07 +0300
[Message part 1 (text/plain, inline)]
Hello,

On pirmadienis 09 Gegužė 2011 13:24:51 Ibragimov Rinat wrote:
> > > Can you point to some of those checks? I've looked through the code
> > > again and found nothing related to QString. There are only some of
> > > them related to QByteArray.
> > 
> > But why do you think QByteArray checks are not affected?
> 
> Because QByteArray is intended to store raw bytes [1],

Basically, QByteArray is a wrapper class on top of char*. For example, 
QString::toUtf8() returns QByteArray as well.

> while QString stores
> charactes which may be wider than 8-bit. Current implementation uses 16-bit
> QChars [2].

Well, ok, but that still does not explain why you cast one "check" to 
(unsigned char) leaving others untouched. QByteArray::operator[] also returns 
a _signed_ char. So what makes you think those chars will always be <= 127 ?

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#612675; Package libkio5. (Sat, 14 May 2011 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sat, 14 May 2011 23:51:03 GMT) Full text and rfc822 format available.

Message #47 received at 612675@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Ibragimov Rinat <ibragimovrinat@mail.ru>
Cc: 612675@bugs.debian.org, Gerfried Fuchs <rhonda@deb.at>
Subject: Re: Bug#612675: libkio5: KTar class have broken UTF-8 support(longlink)
Date: Sun, 15 May 2011 02:49:44 +0300
[Message part 1 (text/plain, inline)]
tags 612675 pending confirmed
owner 612675 !
thanks

Hello,

On šeštadienis 14 Gegužė 2011 14:44:48 Ibragimov Rinat wrote:
> > Well, ok, but that still does not explain why you cast one "check" to
> > (unsigned char) leaving others untouched. QByteArray::operator[] also
> > returns a _signed_ char. So what makes you think those chars will always
> > be <= 127 ?
> 
> Um, yes, you're right. I missed code that reads tar files. There must be
> (unsigned char) cast too.
> 
> There are also another uses of buffer as signed char, for checksum fields,
> but those bytes may contain only ' ', numbers, and '\0'. All of them lower
> than 128, so no casting is required. But maybe I should add them for
> consistency.

You don't need to worry about this anymore. Fix is pending but might take some 
time to actually get into archive.

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Added tag(s) confirmed and pending. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Sat, 14 May 2011 23:51:09 GMT) Full text and rfc822 format available.

Owner recorded as Modestas Vainius <modax@debian.org>. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Sat, 14 May 2011 23:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>, Modestas Vainius <modax@debian.org>:
Bug#612675; Package libkio5. (Sun, 15 May 2011 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ibragimov Rinat <ibragimovrinat@mail.ru>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>, Modestas Vainius <modax@debian.org>. (Sun, 15 May 2011 00:03:03 GMT) Full text and rfc822 format available.

Message #56 received at 612675@bugs.debian.org (full text, mbox):

From: Ibragimov Rinat <ibragimovrinat@mail.ru>
To: Modestas Vainius <modax@debian.org>
Cc: 612675@bugs.debian.org, Gerfried Fuchs <rhonda@deb.at>
Subject: Re: Bug#612675: libkio5: KTar class have broken UTF-8 support(longlink)
Date: Sat, 14 May 2011 15:44:48 +0400
> Well, ok, but that still does not explain why you cast one "check" to 
> (unsigned char) leaving others untouched. QByteArray::operator[] also returns 
> a _signed_ char. So what makes you think those chars will always be <= 127 ?
> 

Um, yes, you're right. I missed code that reads tar files. There must be (unsigned char)
cast too.

There are also another uses of buffer as signed char, for checksum fields, but those 
bytes may contain only ' ', numbers, and '\0'. All of them lower than 128, so no casting
is required. But maybe I should add them for consistency.

Reply sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
You have taken responsibility. (Tue, 14 Jun 2011 07:57:04 GMT) Full text and rfc822 format available.

Notification sent to Rinat <ibragimovrinat@mail.ru>:
Bug acknowledged by developer. (Tue, 14 Jun 2011 07:57:04 GMT) Full text and rfc822 format available.

Message #61 received at 612675-close@bugs.debian.org (full text, mbox):

From: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
To: 612675-close@bugs.debian.org
Subject: Bug#612675: fixed in kde4libs 4:4.4.5-2+squeeze2
Date: Tue, 14 Jun 2011 07:55:23 +0000
Source: kde4libs
Source-Version: 4:4.4.5-2+squeeze2

We believe that the bug you reported is fixed in the latest version of
kde4libs, which is due to be installed in the Debian FTP archive:

kde4libs_4.4.5-2+squeeze2.debian.tar.gz
  to main/k/kde4libs/kde4libs_4.4.5-2+squeeze2.debian.tar.gz
kde4libs_4.4.5-2+squeeze2.dsc
  to main/k/kde4libs/kde4libs_4.4.5-2+squeeze2.dsc
kdelibs-bin_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/kdelibs-bin_4.4.5-2+squeeze2_amd64.deb
kdelibs5-data_4.4.5-2+squeeze2_all.deb
  to main/k/kde4libs/kdelibs5-data_4.4.5-2+squeeze2_all.deb
kdelibs5-dbg_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/kdelibs5-dbg_4.4.5-2+squeeze2_amd64.deb
kdelibs5-dev_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/kdelibs5-dev_4.4.5-2+squeeze2_amd64.deb
kdelibs5-plugins_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/kdelibs5-plugins_4.4.5-2+squeeze2_amd64.deb
kdelibs5_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/kdelibs5_4.4.5-2+squeeze2_amd64.deb
kdoctools_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/kdoctools_4.4.5-2+squeeze2_amd64.deb
libkde3support4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkde3support4_4.4.5-2+squeeze2_amd64.deb
libkdecore5_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkdecore5_4.4.5-2+squeeze2_amd64.deb
libkdesu5_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkdesu5_4.4.5-2+squeeze2_amd64.deb
libkdeui5_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkdeui5_4.4.5-2+squeeze2_amd64.deb
libkdewebkit5_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkdewebkit5_4.4.5-2+squeeze2_amd64.deb
libkdnssd4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkdnssd4_4.4.5-2+squeeze2_amd64.deb
libkfile4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkfile4_4.4.5-2+squeeze2_amd64.deb
libkhtml5_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkhtml5_4.4.5-2+squeeze2_amd64.deb
libkimproxy4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkimproxy4_4.4.5-2+squeeze2_amd64.deb
libkio5_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkio5_4.4.5-2+squeeze2_amd64.deb
libkjsapi4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkjsapi4_4.4.5-2+squeeze2_amd64.deb
libkjsembed4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkjsembed4_4.4.5-2+squeeze2_amd64.deb
libkmediaplayer4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkmediaplayer4_4.4.5-2+squeeze2_amd64.deb
libknewstuff2-4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libknewstuff2-4_4.4.5-2+squeeze2_amd64.deb
libknewstuff3-4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libknewstuff3-4_4.4.5-2+squeeze2_amd64.deb
libknotifyconfig4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libknotifyconfig4_4.4.5-2+squeeze2_amd64.deb
libkntlm4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkntlm4_4.4.5-2+squeeze2_amd64.deb
libkparts4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkparts4_4.4.5-2+squeeze2_amd64.deb
libkpty4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkpty4_4.4.5-2+squeeze2_amd64.deb
libkrosscore4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkrosscore4_4.4.5-2+squeeze2_amd64.deb
libkrossui4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkrossui4_4.4.5-2+squeeze2_amd64.deb
libktexteditor4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libktexteditor4_4.4.5-2+squeeze2_amd64.deb
libkunitconversion4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkunitconversion4_4.4.5-2+squeeze2_amd64.deb
libkutils4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libkutils4_4.4.5-2+squeeze2_amd64.deb
libnepomuk4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libnepomuk4_4.4.5-2+squeeze2_amd64.deb
libnepomukquery4a_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libnepomukquery4a_4.4.5-2+squeeze2_amd64.deb
libplasma3_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libplasma3_4.4.5-2+squeeze2_amd64.deb
libsolid4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libsolid4_4.4.5-2+squeeze2_amd64.deb
libthreadweaver4_4.4.5-2+squeeze2_amd64.deb
  to main/k/kde4libs/libthreadweaver4_4.4.5-2+squeeze2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612675@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org> (supplier of updated kde4libs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 Jun 2011 00:13:57 +0300
Source: kde4libs
Binary: libkdecore5 libkdeui5 libkpty4 libkdesu5 libkjsapi4 libkjsembed4 libkio5 libkntlm4 libsolid4 libkde3support4 libkfile4 libknewstuff2-4 libknewstuff3-4 libkparts4 libkutils4 libthreadweaver4 libkhtml5 libkimproxy4 libkmediaplayer4 libktexteditor4 libknotifyconfig4 libkdnssd4 libkrosscore4 libkrossui4 libnepomuk4 libnepomukquery4a libplasma3 libkunitconversion4 libkdewebkit5 kdelibs-bin kdelibs5-plugins kdelibs5-data kdoctools kdelibs5-dev kdelibs5 kdelibs5-dbg
Architecture: source all amd64
Version: 4:4.4.5-2+squeeze2
Distribution: stable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Description: 
 kdelibs-bin - core executables for KDE Applications
 kdelibs5   - transitional package for the KDE Development Platform libraries
 kdelibs5-data - core shared data for all KDE Applications
 kdelibs5-dbg - debugging symbols for the KDE Development Platform libraries
 kdelibs5-dev - development files for the KDE Development Platform libraries
 kdelibs5-plugins - core plugins for KDE Applications
 kdoctools  - various tools for accessing application documentation
 libkde3support4 - the KDE 3 Support Library for the KDE 4 Platform
 libkdecore5 - the KDE Platform Core Library
 libkdesu5  - the Console-mode Authentication Library for the KDE Platform
 libkdeui5  - the KDE Platform User Interface Library
 libkdewebkit5 - the KDE WebKit Library
 libkdnssd4 - the DNS-SD Protocol Library for the KDE Platform
 libkfile4  - the File Selection Dialog Library for KDE Platform
 libkhtml5  - the KHTML Web Content Rendering Engine
 libkimproxy4 - the Instant Messaging Interface Library for the KDE Platform
 libkio5    - the Network-enabled File Management Library for the KDE Platform
 libkjsapi4 - the KJS API Library for the KDE Development Platform
 libkjsembed4 - library for binding JavaScript objects to QObjects
 libkmediaplayer4 - the KMediaPlayer Interface for the KDE Platform
 libknewstuff2-4 - the "Get Hot New Stuff" v2 Library for the KDE Platform
 libknewstuff3-4 - the "Get Hot New Stuff" v3 Library for the KDE Platform
 libknotifyconfig4 - library for configuring KDE Notifications
 libkntlm4  - the NTLM Authentication Library for the KDE Platform
 libkparts4 - the Framework for the KDE Platform Graphical Components
 libkpty4   - the Pseudo Terminal Library for the KDE Platform
 libkrosscore4 - the Kross Core Library
 libkrossui4 - the Kross UI Library
 libktexteditor4 - the KTextEditor interfaces for the KDE Platform
 libkunitconversion4 - the Unit Conversion library for the KDE Platform
 libkutils4 - various utility classes for the KDE Platform
 libnepomuk4 - the Nepomuk Meta Data Library
 libnepomukquery4a - the Nepomuk Query Library for the KDE Platform
 libplasma3 - the Plasma Library for the KDE Platform
 libsolid4  - Solid Library for KDE Platform
 libthreadweaver4 - the ThreadWeaver Library for the KDE Platform
Closes: 612675
Changes: 
 kde4libs (4:4.4.5-2+squeeze2) stable; urgency=low
 .
   [ José Manuel Santamaría Lema ]
   * Fix CVE-2011-1168 (Konqueror partially universal XSS in error pages) by
     cve_2011_1168_konqueror_xss.diff.
   * Fix CVE-2010-3170 (browser wildcard cerficate validation weakness) for
     Konqueror by cve_2010_3170_cn_wildcards.diff.
   * Fix CVE-2011-1094 (kdelibs does not properly verify that the server hostname
     matches the Common Name of the Subject of an X.509 certificate if that CN is
     an IP address) by cve_2011_1094_ssl_verify_hostname.diff.
 .
   [ Modestas Vainius ]
   * KTar: use unsigned arithmetic when calculating checksum of tar header record
     (as per ustar specification). However, when reading archive, verify
     checksum by calculating it both ways (unsigned and signed) and accept if
     either matches (partially solves #612675). Implemented in
     ktar_header_checksum_fix.diff patch.
   * Fix KTar longlink support when filenames are encoded in the UTF-8 (or other
     multibyte) locale. Implemented in ktar_longlink_length_in_bytes.diff patch
     (thanks to Ibragimov Rinat). Closes: #612675
Checksums-Sha1: 
 a6fa02262d3d7cd482c4aaa769b447f9871073ea 2810 kde4libs_4.4.5-2+squeeze2.dsc
 0e4b56569b1c6b40d519f8c24120e39a71b4a45e 325305 kde4libs_4.4.5-2+squeeze2.debian.tar.gz
 6a73ed7b988f6d326d9816da704b6b3ea8462c24 4196420 kdelibs5-data_4.4.5-2+squeeze2_all.deb
 b18cd55f5e43359f95ae92e30c12c22c1900501d 1115248 libkdecore5_4.4.5-2+squeeze2_amd64.deb
 824bbfd572f6a98db85d7452613ac78a9409c767 1651032 libkdeui5_4.4.5-2+squeeze2_amd64.deb
 d3e9d8480586c943254d74ac7fbf1114dc52c484 65116 libkpty4_4.4.5-2+squeeze2_amd64.deb
 20dcb77bab127a8467b44533099eb05cade92835 86014 libkdesu5_4.4.5-2+squeeze2_amd64.deb
 a3d6a0b2b66e9b5f37af4f7cf1c64f97384bf774 331336 libkjsapi4_4.4.5-2+squeeze2_amd64.deb
 98ff0b72935fa1566f634659018f5c31b4881e6f 449530 libkjsembed4_4.4.5-2+squeeze2_amd64.deb
 7221b5ad7335d83eacf84ff6fadfeb7c32e61ea2 1147808 libkio5_4.4.5-2+squeeze2_amd64.deb
 524117f1e45c886a13c5a35f6f785591166e9bfb 59244 libkntlm4_4.4.5-2+squeeze2_amd64.deb
 315ac8b8ef712d94d8fb435f4df3abcc76e92495 238466 libsolid4_4.4.5-2+squeeze2_amd64.deb
 cca1d41d1acd3b79eb171b1eef60b9b2142a6ec8 436998 libkde3support4_4.4.5-2+squeeze2_amd64.deb
 fc5417381b916935ec653dc9fffb43c64808a2c8 293740 libkfile4_4.4.5-2+squeeze2_amd64.deb
 dd4a394f3a21474a0dc4df8e0ce0e059e59b202a 209246 libknewstuff2-4_4.4.5-2+squeeze2_amd64.deb
 62b40f05419ffe8e1fb43d390d194ad01f5ebc83 189776 libknewstuff3-4_4.4.5-2+squeeze2_amd64.deb
 91706b321894091af7cbca134da3985bfdf04bac 160920 libkparts4_4.4.5-2+squeeze2_amd64.deb
 76a3200f2041767708a0e5a404a5ae8f956b8476 185008 libkutils4_4.4.5-2+squeeze2_amd64.deb
 cbd58488a8aca0b343faa1f06fe4b6811922c16e 80574 libthreadweaver4_4.4.5-2+squeeze2_amd64.deb
 7560f180b3d9e3cd80b276d93cfe8b84d9773dcd 2523324 libkhtml5_4.4.5-2+squeeze2_amd64.deb
 f242a083ca1af4c776edfa53c551b12861ebe782 79778 libkimproxy4_4.4.5-2+squeeze2_amd64.deb
 0ab16b187bc79d7cf51aa6b85c61b6772d20e19b 61028 libkmediaplayer4_4.4.5-2+squeeze2_amd64.deb
 a78d797c448629d5482dc27dcdf8167d08b47d3c 134644 libktexteditor4_4.4.5-2+squeeze2_amd64.deb
 a76f9df9f207b82caafeb94c3b66c677ab34eb00 75312 libknotifyconfig4_4.4.5-2+squeeze2_amd64.deb
 878ff483695a5f9080fbcd21f8861e5dc767cfa7 107038 libkdnssd4_4.4.5-2+squeeze2_amd64.deb
 02476c9e47761174182df27a6a5e909247d7506b 99108 libkrosscore4_4.4.5-2+squeeze2_amd64.deb
 2ab0d4f3df592098db01421a4199030c25f2314e 92456 libkrossui4_4.4.5-2+squeeze2_amd64.deb
 1d11c10aff5f19c5bb2292b21b800d641c57e2e2 249234 libnepomuk4_4.4.5-2+squeeze2_amd64.deb
 c5122e8701e3c9171f5a5fbb3536cc7fc8d4c66f 127782 libnepomukquery4a_4.4.5-2+squeeze2_amd64.deb
 c179d8d96622439df77e4265f5b5f1e600026192 1104684 libplasma3_4.4.5-2+squeeze2_amd64.deb
 fbe03b41cc29aeebc1ea6b04b03d21e8b774ee1f 192968 libkunitconversion4_4.4.5-2+squeeze2_amd64.deb
 b2d805d2c9e4fd69f474364941598d790fe71a8a 93472 libkdewebkit5_4.4.5-2+squeeze2_amd64.deb
 dadf79cd978a021b827c112aa0e727fedf6e30c3 301650 kdelibs-bin_4.4.5-2+squeeze2_amd64.deb
 9ede6f711e958d5c143cc3844c325e4880bc93cd 2411112 kdelibs5-plugins_4.4.5-2+squeeze2_amd64.deb
 cf9570be09377853caa2316b5c0f41880384fc6b 1016684 kdoctools_4.4.5-2+squeeze2_amd64.deb
 a44d846470095e6abbca36f05901b57bf64dfaa8 1835390 kdelibs5-dev_4.4.5-2+squeeze2_amd64.deb
 4a343dd52363b6077e91bf38bef572c55e91835b 48640 kdelibs5_4.4.5-2+squeeze2_amd64.deb
 f004576f9de2010ae540df49b93e85430ff648c2 102816946 kdelibs5-dbg_4.4.5-2+squeeze2_amd64.deb
Checksums-Sha256: 
 0ec2a5a7d99872bbc08c664140a15fcd6fabd1fa47cc074615f751601383ec49 2810 kde4libs_4.4.5-2+squeeze2.dsc
 e3de0c5fd2e6aac72f717e3e75d5fbd5b25f164da3e3f2d2718e54dd5b6b5229 325305 kde4libs_4.4.5-2+squeeze2.debian.tar.gz
 cb7a8377aff4a782d70a731f8c55d873e5018c95753d43edecc0c2b6c1b68f7d 4196420 kdelibs5-data_4.4.5-2+squeeze2_all.deb
 6521847c6dad2aa02aa81684c1644a2b9b7cf9260d2b787397e3223f945e24f2 1115248 libkdecore5_4.4.5-2+squeeze2_amd64.deb
 7b346f1aa7198d5b6e9cc6f4649d194eb201b1af9b74255d04c22372b4d4bd90 1651032 libkdeui5_4.4.5-2+squeeze2_amd64.deb
 e4a45f5f6d0d4f2b172b2c3b898952d2440950bfc55904beed83810aa90725e6 65116 libkpty4_4.4.5-2+squeeze2_amd64.deb
 2009b840bf2658be76c1ffeb4fc7361cf2ebbb29e42f5a509c824f95f04e371d 86014 libkdesu5_4.4.5-2+squeeze2_amd64.deb
 49eb006683ada42d48e5f8dacde594856a0a1a1409cef56c5748462ae414f394 331336 libkjsapi4_4.4.5-2+squeeze2_amd64.deb
 80236eb72cbf3e77a0804ae44f996d6119324990dbe833e29ccd915bfdaa1b8c 449530 libkjsembed4_4.4.5-2+squeeze2_amd64.deb
 51cfafe3c27e0bc46c10a0d17a394796393a9feae432a0dc3eb0b01f1ae72ad8 1147808 libkio5_4.4.5-2+squeeze2_amd64.deb
 96cd6161c0ab2973dd218d08edb0ee2091e33026ccc9a7d6e5303b6e0e09aa1c 59244 libkntlm4_4.4.5-2+squeeze2_amd64.deb
 ee47b4a8e0cd94fcafca952a96c9b0595e351f471c05b2bad2fef18b4e330cc5 238466 libsolid4_4.4.5-2+squeeze2_amd64.deb
 d479d915e7c287a68f026aa522b4e3b0acd23ca947ff3f27769e8afbf88f70c3 436998 libkde3support4_4.4.5-2+squeeze2_amd64.deb
 76c61b1cc2ea6ee235229e47ab220246b8e1085af4ae364ad0924aad45298898 293740 libkfile4_4.4.5-2+squeeze2_amd64.deb
 bcf566e92ccba33638705e962c241c8e391c93123d47af85a4a752c8552ea0cc 209246 libknewstuff2-4_4.4.5-2+squeeze2_amd64.deb
 6355d54617b3272f9890c967d6fc8827175b301ce7a22cb6c434d1f14d1f0ad9 189776 libknewstuff3-4_4.4.5-2+squeeze2_amd64.deb
 50a4ab531bc27cad5f53d13c636f9c2b887fdd35083b7ff93e278666ba197094 160920 libkparts4_4.4.5-2+squeeze2_amd64.deb
 b1017f4c2e40b5cc58c5288fa9db304ed9daa1344c7a6ac0b5d66a51a5cac252 185008 libkutils4_4.4.5-2+squeeze2_amd64.deb
 cad969e915285f10751aa99a0c1b44e6b5517263ad92e7b77d63e7cfa050c9b4 80574 libthreadweaver4_4.4.5-2+squeeze2_amd64.deb
 226ea67202115d1fa5257a4544f06dd20c9554fc6620793efb4f03682908f78d 2523324 libkhtml5_4.4.5-2+squeeze2_amd64.deb
 dbaf47a8048790f85f2602884e9f0fce10dc8214237b6c781c0dd0152a0f5b80 79778 libkimproxy4_4.4.5-2+squeeze2_amd64.deb
 da23fc3fc55afe2a08b2f24909a2f7d8903cdfe5da3b44235e03b3b849c949d1 61028 libkmediaplayer4_4.4.5-2+squeeze2_amd64.deb
 4b0bd45b8b1a3930721c9ac8756a061d8e76fba5a6c995c07d8dd67d865a5e06 134644 libktexteditor4_4.4.5-2+squeeze2_amd64.deb
 2d32cfe85bcef0126712a5d38e0b66ab9a243e6918e2bbbb564dfb8c8fdc92f4 75312 libknotifyconfig4_4.4.5-2+squeeze2_amd64.deb
 1afaca2b79105e0074ee98fbb5330aa003d919a99705b7a4ad36c89fb0f7272f 107038 libkdnssd4_4.4.5-2+squeeze2_amd64.deb
 68a5250ae04bfb1299f824938279ff2dec669d963ea05a59e012c9e6743b414c 99108 libkrosscore4_4.4.5-2+squeeze2_amd64.deb
 56dfe6dcd57a133e6fc52254092946ab49b003bac0038eeb5cb361fc3c911dd0 92456 libkrossui4_4.4.5-2+squeeze2_amd64.deb
 300a45f9ab163314250a4258b2d5a8cff1ce190232b91e68874717d8e4887485 249234 libnepomuk4_4.4.5-2+squeeze2_amd64.deb
 5a6b4ec13ee3fe2c9203e7c049dbcb4cbded9f3b0c0101d96c0a2b1d1b7e46e7 127782 libnepomukquery4a_4.4.5-2+squeeze2_amd64.deb
 ae3ed0136eab1b736a71906ed45ca67195b4ac73b8990d9130962fff7ed03978 1104684 libplasma3_4.4.5-2+squeeze2_amd64.deb
 e0db3312ce3ac30888259a0a20e923b719a392f3cb501e70aed8724d31fa640a 192968 libkunitconversion4_4.4.5-2+squeeze2_amd64.deb
 3cb2442627f88874aa7ff19cceee07a7ea43fe7aeabbac6f4515f5459781cd21 93472 libkdewebkit5_4.4.5-2+squeeze2_amd64.deb
 76e6ecd116c3d2f98be9ba30caa5644ae3c623e4faf1e93ade48fddf596b3190 301650 kdelibs-bin_4.4.5-2+squeeze2_amd64.deb
 b98957b12ed3d0a27fe9f0ab3621792fd8778fe5aad0fc075c42a68ec89a44ed 2411112 kdelibs5-plugins_4.4.5-2+squeeze2_amd64.deb
 42c8e36eecad654b1f838ce966b32d180135ddfbe0750b286cf3e22c61c34359 1016684 kdoctools_4.4.5-2+squeeze2_amd64.deb
 da2f18de960a80496ce85e3d6e89cd12f766b724d59e96b95dd8a568722f1454 1835390 kdelibs5-dev_4.4.5-2+squeeze2_amd64.deb
 432bcc7c07c74b7d260bbe34aba4c9f0f50b16ab0af85e10a9ac43a9998512c4 48640 kdelibs5_4.4.5-2+squeeze2_amd64.deb
 1531fae5322eda2da8958020830cbc6f6a2ba1faefeb975088411024bc089f29 102816946 kdelibs5-dbg_4.4.5-2+squeeze2_amd64.deb
Files: 
 6aedeff42775e3eab3c2faa47b62b53a 2810 libs optional kde4libs_4.4.5-2+squeeze2.dsc
 da030dd75191fd7a3ebc792ab5806702 325305 libs optional kde4libs_4.4.5-2+squeeze2.debian.tar.gz
 56edd084ba456c792d4c56fa131c9c72 4196420 libs optional kdelibs5-data_4.4.5-2+squeeze2_all.deb
 5aaf6bf62d1f8a2bec73239686ac3289 1115248 libs optional libkdecore5_4.4.5-2+squeeze2_amd64.deb
 835cbb7c2f05b8115d0a9b76741378fd 1651032 libs optional libkdeui5_4.4.5-2+squeeze2_amd64.deb
 99852de7154ad381fa1391752e1595b5 65116 libs optional libkpty4_4.4.5-2+squeeze2_amd64.deb
 3a9252f1b18920ecc0215956d9e3f7d9 86014 libs optional libkdesu5_4.4.5-2+squeeze2_amd64.deb
 fc7b7fc81192863fd18cd5fee6e9498e 331336 libs optional libkjsapi4_4.4.5-2+squeeze2_amd64.deb
 b17551095dcc3c7673ab086ba7681e67 449530 libs optional libkjsembed4_4.4.5-2+squeeze2_amd64.deb
 71329bb0f4aaa3868959113d89ac003d 1147808 libs optional libkio5_4.4.5-2+squeeze2_amd64.deb
 15a30e8218c87a91fec94bdea5e4d448 59244 libs optional libkntlm4_4.4.5-2+squeeze2_amd64.deb
 30c94db16faa20e0997adafd5a532486 238466 libs optional libsolid4_4.4.5-2+squeeze2_amd64.deb
 76de2309d886b0011f5220d4ac2f5c11 436998 libs optional libkde3support4_4.4.5-2+squeeze2_amd64.deb
 b15dfa01ac3b064a9aba73614bd94838 293740 libs optional libkfile4_4.4.5-2+squeeze2_amd64.deb
 b1a3f57f12b481ac0602ed817b4fa37f 209246 libs optional libknewstuff2-4_4.4.5-2+squeeze2_amd64.deb
 680caefa7db6fbe71d32143759c09045 189776 libs optional libknewstuff3-4_4.4.5-2+squeeze2_amd64.deb
 258e962e92f19967d42c96a2f105a209 160920 libs optional libkparts4_4.4.5-2+squeeze2_amd64.deb
 1631ea2b2932578644fb1801a679cb87 185008 libs optional libkutils4_4.4.5-2+squeeze2_amd64.deb
 5eb897ea4e7d86720166ee465f129252 80574 libs optional libthreadweaver4_4.4.5-2+squeeze2_amd64.deb
 ae3e282d06d5d5a17a3074b4d2bdf609 2523324 libs optional libkhtml5_4.4.5-2+squeeze2_amd64.deb
 c57b0014c833475decb5b1c8b9d09943 79778 libs optional libkimproxy4_4.4.5-2+squeeze2_amd64.deb
 d14a8bea3b4378fdb995c96ad9286f51 61028 libs optional libkmediaplayer4_4.4.5-2+squeeze2_amd64.deb
 b1f11080a59320a2e487fe9c1a0f720b 134644 libs optional libktexteditor4_4.4.5-2+squeeze2_amd64.deb
 a28ef020dd3a1fdf071b8d83f0844e25 75312 libs optional libknotifyconfig4_4.4.5-2+squeeze2_amd64.deb
 19c686d71d7f05fb133544260f83c748 107038 libs optional libkdnssd4_4.4.5-2+squeeze2_amd64.deb
 28bf0298883a3a89fd9189a61d1208d4 99108 libs optional libkrosscore4_4.4.5-2+squeeze2_amd64.deb
 450ba1f858d01abf702fdad0c6a3c078 92456 libs optional libkrossui4_4.4.5-2+squeeze2_amd64.deb
 fb832f78dae789f51b327a5d479542a8 249234 libs optional libnepomuk4_4.4.5-2+squeeze2_amd64.deb
 6d5468e04c165c9e0057720159df56cd 127782 libs optional libnepomukquery4a_4.4.5-2+squeeze2_amd64.deb
 f1e86e4db70b7606206c840496ffaaff 1104684 libs optional libplasma3_4.4.5-2+squeeze2_amd64.deb
 e82958a9812de82233c2e40dfd45b4be 192968 libs optional libkunitconversion4_4.4.5-2+squeeze2_amd64.deb
 4696fe27ae15f8cebd07ada0dfeb3bad 93472 libs optional libkdewebkit5_4.4.5-2+squeeze2_amd64.deb
 fa4c6f8a6332ef1e31f56ba6519f78c6 301650 libs optional kdelibs-bin_4.4.5-2+squeeze2_amd64.deb
 e7b73821dabfc88ce1d80e745f9e5422 2411112 libs optional kdelibs5-plugins_4.4.5-2+squeeze2_amd64.deb
 14a70f8a357cb6244f634d38119fd0d5 1016684 libs optional kdoctools_4.4.5-2+squeeze2_amd64.deb
 64937226b0cd416fbfc744807aa75c39 1835390 libdevel optional kdelibs5-dev_4.4.5-2+squeeze2_amd64.deb
 a947d4a5f266310dea269b6b74dbe851 48640 libs optional kdelibs5_4.4.5-2+squeeze2_amd64.deb
 5f45e8e93ba6bf69c6288f05e8d22b7d 102816946 debug extra kdelibs5-dbg_4.4.5-2+squeeze2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk32hwgACgkQHO9JRnPq4hRkVwCgpHzIKgH3Xhpl/OMZusQMLcc9
2esAmQGsCeYx+ugdllGxc/XEH2HLJVqG
=g9Wi
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 13 Jul 2011 07:36:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:17:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.